#!/bin/sh

. /lib/ar71xx.sh
. /lib/freifunk/lib_node.sh

board="$(ar71xx_board_name)"

uci add freifunk node
uci commit freifunk

uci -q batch <<EOF
	set system.@system[0].hostname="$(get_node_id)"
	set system.@system[0].timezone='CET-1CEST,M3.5.0,M10.5.0/3'
	set freifunk.@node[0].nodeid="$(get_node_id)"
	commit system
	commit freifunk
EOF
