#!/bin/sh

cat <<EOF > /etc/config/fastd
config fastd 'mesh_vpn'
  option enabled '1'
  list config '/lib/freifunk/mesh-vpn/fastd.conf'
  list config_peer_dir '/etc/fastd/mesh-vpn/peers'
  option syslog_level 'verbose'
  list method 'salsa2012+gmac'
  list method 'null'
  option mode 'tap'
  option interface 'mesh-vpn'
  option mtu '1426'
EOF

#todo: evtl. vorher haveged aktivieren, müsste dann aber auch dependency sein
#todo: laut /etc/init.d/fastd reicht eigentlich auch ein "generate"
uci set fastd.mesh_vpn.secret="$(fastd --generate-key --machine-readable)"
uci commit fastd
