#!/bin/sh

. /lib/ar71xx.sh
. /lib/freifunk/lib_node.sh

board="$(ar71xx_board_name)"
#mainmac="$(get_main_address)"
#nodeid="$(get_node_id)"

case "$board" in
tl-wdr3600|\
tl-wdr4300)
	
	echo "Configuring Freifunk Network..."
	echo ""

	##musste ich, müsste aber eigentlich automatisch geschehen:
	#modprobe crc32c.ko
	#modprobe crc16.ko
	#modprobe batman-adv.ko

	#run enable-scripts:
	for i in /lib/freifunk/enabler/*; do
		[ -x $i ] && $i 
	done

	#todo: schöner!
	cp /lib/freifunk/rfkill-button.sh /etc/rc.button/rfkill

	/etc/init.d/network restart
	/etc/init.d/firewall restart
	/etc/init.d/firewall-ebtables start
	/etc/init.d/alfred enable
	/etc/init.d/alfred start
	/etc/init.d/collectd enable
	/etc/init.d/collectd start
	/etc/init.d/fastd enable
	/etc/init.d/fastd start
	
	;;
*)
	echo "Currently your Router Model is not supported."
	echo "No configuration done! You have to manually configure your device!"
	echo "Feel free to look into the script /lib/freifunk/kbu-ff-enable.sh  and"
	echo "everything in /lib/freifunk/enabler/ and feel free to mail any"
	echo "improvements to ffunk5279@der-he.de"
	echo "Ideally everything necessary to do is adding your model to the switch-case"
	echo "up there in this script. :-)"
	;;
esac

